package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ClienteDescuentoDAO;
import com.rjconsultores.ventaboletos.entidad.Cliente;
import com.rjconsultores.ventaboletos.entidad.ClienteDescuento;

@Repository("clienteDescuentoDAO")
public class ClienteDescuentoHibernateDAO   extends GenericHibernateDAO<ClienteDescuento, Integer>
implements ClienteDescuentoDAO {

	@Autowired
    public ClienteDescuentoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
	
	public List<ClienteDescuento> buscar(Cliente cliente) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        //c.add(Restrictions.eq(ACTIVO, 1));
        c.add(Restrictions.eq("cliente", cliente));     
        return c.list();
    }

	
}
